using Abp.AspNetCore.Mvc.Controllers;
using Abp.IdentityFramework;
using Microsoft.AspNetCore.Identity;

namespace BCS.BMC.Controllers
{
    public abstract class BMCControllerBase: AbpController
    {
        protected BMCControllerBase()
        {
            LocalizationSourceName = BMCConsts.LocalizationSourceName;
        }

        protected void CheckErrors(IdentityResult identityResult)
        {
            identityResult.CheckErrors(LocalizationManager);
        }
    }
}
