using System.Collections.Generic;
using System.Linq;
using BCS.BMC.Roles.Dto;
using BCS.BMC.Users.Dto;

namespace BCS.BMC.Web.Models.Users
{
    public class EditUserModalViewModel
    {
        public UserDto User { get; set; }

        public IReadOnlyList<RoleDto> Roles { get; set; }

        public bool UserIsInRole(RoleDto role)
        {
            return User.RoleNames != null && User.RoleNames.Any(r => r == role.NormalizedName);
        }
    }
}
