﻿using Microsoft.EntityFrameworkCore;
using Abp.Zero.EntityFrameworkCore;
using BCS.BMC.Authorization.Roles;
using BCS.BMC.Authorization.Users;
using BCS.BMC.MultiTenancy;
using BCS.BMC.BMC.CompanyMasters;

namespace BCS.BMC.EntityFrameworkCore
{
    public class BMCDbContext : AbpZeroDbContext<Tenant, Role, User, BMCDbContext>
    {
        /* Define a DbSet for each entity of the application */
        public virtual DbSet<CompanyMaster> CompanyMasters { get; set; }

        public BMCDbContext(DbContextOptions<BMCDbContext> options)
            : base(options)
        {
        }
    }
}
