using System.Data.Common;
using Microsoft.EntityFrameworkCore;

namespace BCS.BMC.EntityFrameworkCore
{
    public static class BMCDbContextConfigurer
    {
        public static void Configure(DbContextOptionsBuilder<BMCDbContext> builder, string connectionString)
        {
            builder.UseSqlServer(connectionString);
        }

        public static void Configure(DbContextOptionsBuilder<BMCDbContext> builder, DbConnection connection)
        {
            builder.UseSqlServer(connection);
        }
    }
}
